# $Revision: 1.23 $, $Date: 2008/08/21 12:19:10 $
Summary:	Cryptographically secure file wiping utility
Summary(pl.UTF-8):	Narzędzie do kryptograficznie bezpiecznego kasowania plików
Name:		wipe
Version:	0.20
Release:	3
License:	GPL v2
Group:		Applications/File
Source0:	http://abaababa.ouvaton.org/wipe/%{name}-%{version}.tar.gz
# Source0-md5:	dbf3027f46d014dc899a1cdf2ed93d00
Patch0:		%{name}-Makefile.patch
URL:		http://abaababa.ouvaton.org/wipe/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wipe is a tool for cryptographically secure file deletion from
magnetic media, to prevent using advanced recovery techniques like
magnetic force microscopy (MFM). Wipe will repeadetly overwrites
special patterns to the files to be destroyed, using the fsync() call
and/or the O_SYNC bit to force disk access. In normal mode, 34
patterns are used (of which 8 are random).

%description -l pl.UTF-8
Wipe jest narzędziem, służącym do kryptograficznie bezpiecznego
kasowania plików z nośników magnetycznych tak, by uniemożliwić próby
ich odtworzenia przy pomocy zaawansowanych technik takich jak
mikroskopia magnetyczna MFM. Wipe wielokrotnie nadpisuje dany plik
specjalnymi maskami, używając fsync() i/lub bitu O_SYNC dla
zapewnienia dostępu do dysku. W normalnym trybie wipe używa 34 masek,
z których 8 jest losowych.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	%{_os} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install wipe $RPM_BUILD_ROOT%{_bindir}
install wipe.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README secure_del.html
%attr(755,root,root) %{_bindir}/wipe
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wipe.spec,v $
Revision 1.23  2008/08/21 12:19:10  blues
- rel.3

Revision 1.22  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.20  2006/12/09 12:10:30  mmazur
- rel 2; added support for large files

Revision 1.19  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.18  2004/07/10 13:56:09  areq
- 0.20
- update URL

Revision 1.17  2004/03/10 04:27:53  twittner
- added -Makefile.patch for passing CC, CFLAGS
- rel.4

Revision 1.16  2003/05/28 13:02:51  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:27:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/29 22:47:07  ankry
- massive attack: new %%doc

Revision 1.13  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/08 08:09:34  kloczek
- bump release to 3 for rebuild.

Revision 1.10  2000/10/10 21:22:32  kloczek
- release 2: use new rpm automation suit.

Revision 1.9  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.5  2000/01/21 15:50:09  kloczek
- updated to 0.16.

Revision 1.4  1999/12/07 09:34:11  kloczek
- adapter(ized),
- changed Group to Utilities/File,
- gzipping instead bzipping2 %doc files,
- changed permission to 755 on executable.

Revision 1.3  1999/12/07 09:27:06  kravietz
- more minor fixes

Revision 1.2  1999/12/07 09:20:02  kravietz
- spec fixes

Revision 1.1  1999/12/07 09:09:42  kravietz
- created wipe spec
9958639531e1a0c42b11832b4c43fac9  wipe.spec
